﻿<!--
HOWTO /Docs/configurations.txt

EJEMPLO : Cortar peliculas con FFMPEG
-->
<?xml version='1.0' encoding='UTF-8' standalone='no' ?>
<Map FormatVersion='1'>
	<Fields>	
		<Field>
			<CommandArgument id='y' format='-%s' parameter_type='param' value='' position='1' />				
			<HtmlArgument id='html_y' type='text' value='' label='' disable='true' hidden='true' />		
		</Field>	
		<Field>
			<CommandArgument id='i' format='-%s %s' parameter_type='both' value='' position='2' />				
			<HtmlArgument id='html_i' type='file' value='' label='Video de Entrada' disable='false' hidden='false' />		
		</Field>	
		<Field>
			<CommandArgument id='ss' format='-%s %s' parameter_type='both' value='' position='3' />				
			<HtmlArgument id='html_ss' type='text' value='' label='Punto de inicio de corte [00:00:00]' disable='false' hidden='false' />		
		</Field>			
		<Field>
			<CommandArgument id='t' format='-%s %s' parameter_type='both' value='' position='4' />				
			<HtmlArgument id='html_t' type='text' value='' label='Numero de segundos a cortar' disable='false' hidden='false' />		
		</Field>		
		<Field>
			<CommandArgument id='threads' format='-%s %s' parameter_type='both' value='2' position='5' />				
			<HtmlArgument id='html_threads' type='text' value='2' label='' disable='true' hidden='true' />		
		</Field>			
		<Field>
			<CommandArgument id='s' format='-%s %s' parameter_type='both' value='' position='7' />				
			<HtmlArgument id='html_s' type='select' default='320x240' value='320x240#Baja Resolucion|640x480#Resolucion Media|800x600#Resolucion Alta' label='Resolucion de Salida' disable='true' hidden='false' />		
		</Field>			
		<Field>
			<CommandArgument id='r' format='-%s %s' parameter_type='both' value='29.97' position='8' />				
			<HtmlArgument id='html_r' type='text' value='29.97' label='' disable='true' hidden='true' />		
		</Field>
		<Field>
			<CommandArgument id='pix_fmt' format='-%s %s' parameter_type='both' value='yuv420p' position='9' />				
			<HtmlArgument id='html_pix_fmt' type='text' value='yuv420p' label='' disable='true' hidden='true' />		
		</Field>		
		<Field>
			<CommandArgument id='g' format='-%s %s' parameter_type='both' value='300' position='10' />				
			<HtmlArgument id='html_gt' type='text' value='300' label='' disable='true' hidden='true' />		
		</Field>			
		<Field>
			<CommandArgument id='qmin' format='-%s %s' parameter_type='both' value='3' position='11' />				
			<HtmlArgument id='html_qmin' type='text' value='3' label='' disable='true' hidden='true' />		
		</Field>	
		<Field>
			<CommandArgument id='b' format='-%s %s' parameter_type='both' value='512k' position='12' />				
			<HtmlArgument id='html_b' type='text' value='512k' label='' disable='true' hidden='true' />		
		</Field>	
		<Field>
			<CommandArgument id='async' format='-%s %s' parameter_type='both' value='50' position='13' />				
			<HtmlArgument id='html_async' type='text' value='50' label='' disable='true' hidden='true' />		
		</Field>	
		<Field>
			<CommandArgument id='acodec' format='-%s %s' parameter_type='both' value='libmp3lame' position='14' />				
			<HtmlArgument id='html_acodec' type='text' value='libmp3lame' label='' disable='true' hidden='true' />		
		</Field>
		<Field>
			<CommandArgument id='ar' format='-%s %s' parameter_type='both' value='44100' position='15' />				
			<HtmlArgument id='html_ar' type='text' value='44100' label='' disable='true' hidden='true' />		
		</Field>	
		<Field>
			<CommandArgument id='ac' format='-%s %s' parameter_type='both' value='2' position='16' />				
			<HtmlArgument id='html_ac' type='text' value='2' label='' disable='true' hidden='true' />		
		</Field>	
		<Field>
			<CommandArgument id='ab' format='-%s %s' parameter_type='both' value='128k' position='17' />				
			<HtmlArgument id='html_ab' type='text' value='128k' label='' disable='true' hidden='true' />		
		</Field>
		<Field>
			<CommandArgument id='out' format='%s' parameter_type='value' value='' position='18' />				
			<HtmlArgument id='html_out' type='file' value='' label='Video de Salida' disable='false' hidden='false' />		
		</Field>		
	</Fields>
</Map>